JanosVM v0.6.0 Java API

## edu.utah.janosvm.resources
Class DuplicateResourceSpecException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--edu.utah.janosvm.resources.ResourceSpecException
                        |
                        +--edu.utah.janosvm.resources.DuplicateResourceSpecException

public class DuplicateResourceSpecException
extends ResourceSpecException

Exception indicating that there was a duplicate resource spec in the array of ResourceSpec's passed to Team.create().

Author:
  Tim Stack, Utah Janos Team
See Also:
  Serialized Form

Constructor Summary
`DuplicateResourceSpecException()`
`DuplicateResourceSpecException(java.lang.String msg)`

Methods inherited from class edu.utah.janosvm.resources.ResourceSpecException
`getUnsatisfiedSpec, toString`

Methods inherited from class java.lang.Throwable
`clone, fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, stringStackTrace`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DuplicateResourceSpecException

    public DuplicateResourceSpecException()

### DuplicateResourceSpecException

    public DuplicateResourceSpecException(java.lang.String msg)

JanosVM v0.6.0 Java API

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002